Public Types | Public Member Functions | Public Attributes | List of all members
MWAWNote Struct Reference

a note More...

`#include <libmwaw_internal.hxx>`

## Public Types
enum | Type { FootNote, EndNote }
| enum to define note type More...

## Public Member Functions
| MWAWNote (Type type)
| constructor More...

## Public Attributes
Type | m_type
| the note type More...
librevenge::RVNGString | m_label
| the note label More...
int | m_number
| the note number if defined More...

## Detailed Description

a note

## Member Enumeration Documentation

## ◆ Type

enum MWAWNote::Type

enum to define note type

Enumerator
FootNote |
EndNote |

## Constructor & Destructor Documentation

## ◆ MWAWNote()

MWAWNote::MWAWNote | ( | Type | type | ) |
| inline explicit

constructor

## Member Data Documentation

## ◆ m_label

librevenge::RVNGString MWAWNote::m_label

the note label

Referenced by MWAWTextListener::insertNote(), and MWAWSpreadsheetListener::insertNote().

## ◆ m_number

int MWAWNote::m_number

the note number if defined

Referenced by MWAWTextListener::insertNote(), MWAWSpreadsheetListener::insertNote(), and NisusWrtText::sendText().

## ◆ m_type

Type MWAWNote::m_type

the note type

Referenced by MWAWTextListener::insertNote(), and MWAWSpreadsheetListener::insertNote().

The documentation for this struct was generated from the following file:

- libmwaw_internal.hxx